#! /bin/sh

#
# @(#) HPU uninstallation script (entry point)(Full, Try & Buy, Workgroups)
# 

#


### DEBUG ###
# set -x
set -u
### FIN DEBUG ###


###########################################################################
# DisplaySyntax
###########################################################################

# 
# 
#


DisplaySyntax ()
{
    echo "Usage:"
    echo "-h        Help"
    echo ""

}





###########################################################################
# main
###########################################################################

# 
# -h        Help
# 
# 
# 

RETURN_CODE=0

FILE_TRACE="trace_uninstall"
FILE_TRACE_ERROR="trace_error_uninstall"
FILE_TRACE_WARNING="trace_warning_uninstall"


# Obtention du chemin complet du repertoire ou se trouve le script d'installation

DIR_UNINSTALLER=`\dirname $0`
DIR_UNINSTALLER=`\cd "${DIR_UNINSTALLER}" ; \pwd`

# echo "DIR_UNINSTALLER : \"${DIR_UNINSTALLER}\" "




# Command line parsing


while getopts :h: OPTION
do
    case "${OPTION}" in
    h)
        # echo "Option h"
        DisplaySyntax
        exit 1
        ;;
        
    ?)
        echo "Unknown option" 1>&2
        exit 1
        ;;   
    esac 
done

echo ""


# Main script 

# "${DIR_UNINSTALLER}/installer_setup.sh" "$@" "UNINST" \
#   "${FILE_TRACE}" "${FILE_TRACE_ERROR}"
"${DIR_UNINSTALLER}/installer_setup.sh" "UNINST" \
  "${FILE_TRACE}" "${FILE_TRACE_ERROR}" "${FILE_TRACE_WARNING}"
RETURN_CODE=$?



exit ${RETURN_CODE}

